package com.huimv.environment.repo;

import com.huimv.environment.entity.BasePigpenEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface BasePigpenRepo extends JpaRepository<BasePigpenEntity, Integer>, JpaSpecificationExecutor<BasePigpenEntity> {
    @Query(nativeQuery = true , value = "SELECT * FROM base_pigpen WHERE mcid=?1 AND ZFBZ=0")
    List<BasePigpenEntity> getAllPigpen(int mcid);
}