package com.huimv.production.controller;

import com.huimv.production.domain.IndexParameterEntity;
import com.huimv.production.result.Result;
import com.huimv.production.service.IndexParameterService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.production.controller
 * @Description : TODO
 * @Author : yuxuexuan
 * @Create : 2021/3/5 0005 10:54
 **/
@RestController
@CrossOrigin
@RequestMapping("/parameter")
public class IndexParameterController {
    @Autowired
    private IndexParameterService parameterService;

    @RequestMapping("/add")
    public Result add(IndexParameterEntity parameterEntity){
        return parameterService.add(parameterEntity);
    }

    @RequestMapping("/remove")
    public Result add(Integer[] ids){
        return parameterService.remove(ids);
    }

    @RequestMapping("/update")
    public Result update(IndexParameterEntity parameterEntity){
        return parameterService.update(parameterEntity);
    }

    @RequestMapping("/findAll")
    public Result findAll(){
        return parameterService.findAll();
    }

}
